import { MarkerSeries } from "./MarkerSeries";
import { Point, Type } from "igniteui-angular-core";
import { PolarAxisInfoCache } from "./PolarAxisInfoCache";
import { SeriesRenderer$2 } from "./SeriesRenderer$2";
import { PolarFrame } from "./PolarFrame";
import { DependencyProperty } from "igniteui-angular-core";
import { IFastItemColumn$1 } from "igniteui-angular-core";
import { NumericAngleAxis } from "./NumericAngleAxis";
import { NumericRadiusAxis } from "./NumericRadiusAxis";
import { TrendLineType } from "igniteui-angular-core";
import { Brush } from "igniteui-angular-core";
import { PenLineCap } from "igniteui-angular-core";
import { DoubleCollection } from "igniteui-angular-core";
import { SeriesView } from "./SeriesView";
import { List$1 } from "igniteui-angular-core";
import { SeriesPointOfInterest } from "./SeriesPointOfInterest";
import { Axis } from "./Axis";
import { Rect } from "igniteui-angular-core";
import { Marker } from "./Marker";
import { MarkerSeriesView } from "./MarkerSeriesView";
import { PolarAxes } from "./PolarAxes";
import { FastItemsSourceEventAction } from "igniteui-angular-core";
import { AxisRange } from "./AxisRange";
import { HashPool$2 } from "igniteui-angular-core";
import { OwnedPoint } from "./OwnedPoint";
import { MarkerManagerBase } from "./MarkerManagerBase";
import { PolarTrendLineManager } from "./PolarTrendLineManager";
import { RenderSurface } from "./RenderSurface";
import { IDictionary$2 } from "igniteui-angular-core";
import { RenderingContext } from "igniteui-angular-core";
/**
 * @hidden
 */
export declare abstract class PolarBase extends MarkerSeries {
    static $t: Type;
    protected bf(): SeriesView;
    iu(a: SeriesView): void;
    m7: PolarBaseView;
    private m8;
    ht(): void;
    protected get_c0(): boolean;
    nn(a: List$1<SeriesPointOfInterest>): boolean;
    constructor();
    private n7;
    private n8;
    private m1;
    m6: PolarAxisInfoCache;
    private oy;
    private ox;
    ne: SeriesRenderer$2<PolarFrame, PolarBaseView>;
    nw: string;
    n2: string;
    protected ni: IFastItemColumn$1<number>;
    private ng;
    protected nj: IFastItemColumn$1<number>;
    private nh;
    m3: NumericAngleAxis;
    m4: NumericRadiusAxis;
    no: boolean;
    nr: number;
    nf: TrendLineType;
    os: Brush;
    or: Brush;
    static readonly oc: DependencyProperty;
    nq: number;
    ou: PenLineCap;
    ot: DoubleCollection;
    ns: number;
    nt: number;
    nm: boolean;
    nb: PolarFrame;
    nd: PolarFrame;
    na: PolarFrame;
    m5: PolarAxes;
    ib(): void;
    protected hy(a: FastItemsSourceEventAction, b: number, c: number, d: string): void;
    protected js(a: Rect, b: Rect): void;
    protected jt(a: Rect, b: Rect): void;
    dw(a: Rect, b: Rect, c: SeriesView): boolean;
    je(a: boolean): void;
    private ow;
    an(a: Axis): AxisRange;
    c9(a: any): boolean;
    fp(a: Point): any;
    e8(a: Point): number;
    ag(): Axis[];
    fs(a: any, b: string): any;
    protected iz(a: any, b: string, c: any, d: any): void;
    nl(a: any): boolean;
    nk(a: any): boolean;
    hv(a: boolean, b: SeriesView): void;
    private m2;
    n6(a: PolarFrame, b: number, c: Rect, d: Rect): void;
    n9(a: PolarFrame, b: PolarBaseView): void;
    ob(a: PolarFrame, b: PolarBaseView): void;
    private n5;
    protected jo(): void;
    nc: PolarFrame;
    jf(a: Rect, b: RenderSurface): void;
    private m9;
    jc(a: Rect, b: Rect, c: RenderSurface, d: string, e: number): void;
    oa(a: IDictionary$2<any, OwnedPoint>, b: HashPool$2<any, Marker>): void;
    m0(a: HashPool$2<any, Marker>, b: Rect, c: Rect): Point[];
    np(a: HashPool$2<any, Marker>): List$1<number>;
    ov(a: number): Point;
    protected h4(a: any): void;
    static $$p: string[];
}
/**
 * @hidden
 */
export declare class PolarBaseView extends MarkerSeriesView {
    static $t: Type;
    protected cq: PolarBase;
    cp: MarkerManagerBase;
    constructor(a: PolarBase);
    cr: PolarTrendLineManager;
    ap(): void;
    protected co(): MarkerManagerBase;
    protected cv(a: IDictionary$2<any, OwnedPoint>): void;
    protected cn(): Point[];
    protected ct(): List$1<number>;
    cu(a: Rect, b: Rect, c: Rect, d: Rect): void;
    cw(): void;
    cs: HashPool$2<any, Marker>;
    cc(a: (arg1: Marker) => void): void;
    protected a2(a: RenderingContext, b: boolean): void;
    protected cx(): Rect;
    getDefaultTooltipTemplate(): string;
}
